Refuse to flash if fastboot has no knowledge about dynamic partition

BUG:120105455
Change-Id: I05a782774cb483897def873f40cbbd8a883db170
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index fdcb442..6bcee8a 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q partition-exists \$(which fastboot); then
+if ! grep -q create-logical-partition \$(which fastboot); then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
@@ -258,7 +258,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q partition-exists \$(which fastboot); then
+if ! grep -q create-logical-partition \$(which fastboot); then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi